AZW3 to EPUB
Convert Kindle AZW3 ebooks to EPUB ebooks.
Try AZW3 to EPUB in the browser →
Convert.FAST uses this same API — what you see in the browser is what you get in code.
Quick reference
| Job type | ebook.azw3-to-epub |
| targetFormat | epub |
| Category | ebooks |
| Input formats | .azw3 |
| Output extension | .epub |
| Costing | 1 credit per 5 MB |
| Max file size | 1 GB |
Example
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
-H "X-Fast-Api-Key: $API_KEY" \
-F "file=@book.azw3" \
-F "targetFormat=epub" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}
# 2) Poll until terminal status
while true; do
RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
-H "X-Fast-Api-Key: $API_KEY")
STATUS=$(echo "$RESPONSE" | jq -r '.status')
[ "${STATUS}" = "Succeeded" ] && break
[ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
sleep 1
done
# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
-H "X-Fast-Api-Key: $API_KEY" \
-o "book.epub"
# → Binary file (application/epub+zip, 2.5 MB)Options
This converter does not support additional options.
Cost estimate
curl -sS "https://api.tools.fast/convert/estimate/azw3/epub?fileSizeMb=50"